Помощь [help]DLE + работа с базами

Тема в разделе "DLE", создана пользователем @RCHANGELL, 31 авг 2008.

Информация :
Актуальная версия DataLife Engine 11.2
( Final Release v.11.2 | Скачать DataLife Engine | Скачать 11.2 demo )
Нужно ли обновляться | Как обновиться | Изменения в шаблонах
> Нет русских символов <
[Приватная тема DLE (Все подробности в ЛС к модератору раздела)]

Версии 11.1 и ниже - уязвимы!

Локализации | F.A.Q. | Внешний вид
Правила раздела | Правила форума
Обсуждение хайда карается баном!
В каждом сообщении указывайте версию DLE, которого они касаются!
Статус темы:
Закрыта.
Модераторы: killoff
  1. @RCHANGELL

    @RCHANGELL Читатель

    Заблокирован
    Регистр.:
    25 мар 2008
    Сообщения:
    11
    Симпатии:
    0
    приведствуиу всех.
    парни мне нуЖна ваша помаш, а сут етава состаит втом што никак немогу сделат бекап саита.

    стаиал DLE версии 6.7, поставил 7.2 версиу залил bазу предадушево 6.7 версиу сменил dbconfig.php фаил, но виползает ERROR : собствено вот такои


    помаги мне исправит ево, што и как надо мне ево исправит?


    зарание спасибо!!!








    MySQL Error!
    ------------------------

    The Error returned was:
    Unknown column 'editdate' in 'field list'

    Error Number:
    1054


    SELECT SQL_CALC_FOUND_ROWS id, autor, date, short_story, SUBSTRING(full_story, 1, 15) as full_story, xfields, title, category, alt_name, comm_num, allow_comm, allow_rate, rating, vote_num, news_read, flag, editdate, editor, reason, view_edit, tags FROM dle_post WHERE approve = '1' AND allow_main = '1' AND date < '2008-08-31 16:44:42' ORDER BY fixed desc, date DESC LIMIT 0,10
     
  2. GauraStyle

    GauraStyle Kot

    Регистр.:
    13 фев 2007
    Сообщения:
    1.492
    Симпатии:
    916
    Нельзя заливать базу с версии 6.7 на версию 7.2 или 7.0. Всё нужно делать как в мануале, тоесть обновиться, а не как ты там чудиш. Там таблицы править нужно и всё остальное. Научитесь пользоваться движком и читать мануал который там прикреплен. Да и Раздел тут создан уже давно, где описано, что, где и как нужно делать. А не делать, а потом начинать читать.
    :smmne:
     
  3. AgpeHaJIuH

    AgpeHaJIuH Постоялец

    Регистр.:
    7 июл 2008
    Сообщения:
    67
    Симпатии:
    19
    Великий и Могучий Русский такой сложный? :D
    Говорит о том, что колонки 'editdate' в твоей базе не существует. Удали все ненужные модули, а потом восстанавливай базу.
    Или сам ручками создай новую колонку 'editdate' в нужной таблице.
     
  4. kandasoft

    kandasoft Читатель

    Заблокирован
    Регистр.:
    17 окт 2007
    Сообщения:
    259
    Симпатии:
    143
    Вообще читаем информацию по обновлению движка и не задаем глупых вопросов.
    Там все подробно расписано, что если уже установлена версия 6.7, то поверх (с заменой всех файлов) заливаем версию 7.2, после чего запускам upgrade. (_http://site.ru/upgrade/index.php), после этих не хитрых действий все будет работать. (сторонние модули само-сабой придется ставить снова.).
    З.Ы. После данных манипуляций не забываем удалить папку upgrade.

    Еще личный совет: пишите пожалуйста нормально на любом из языков (английский, русский, украинский) либо почитайте азбуку.
     
  5. @RCHANGELL

    @RCHANGELL Читатель

    Заблокирован
    Регистр.:
    25 мар 2008
    Сообщения:
    11
    Симпатии:
    0
    начниу ставо што здес вазникли вапроси на грамотност рускога иазика, атвечу тем кто интересуетса канкретна етим вапросам. клавиатура умина неруски и пишу с помашиу транслеитом, думаиу нетрудно пониат то аснавнуиу идеиу што иа хачу передат вам.

    так што нинадо здес засариат ефир и флудит дурацкими и идиотичними фразами.

    сут втом што если моэш и знасеш как исправит праблему, напиши канкретна што как сделат и всио, нинадо здес филасофичет.


    kandasoft сделал так как ти написал но неполушаедса всеравно.

    Добавлено через 9 минут
    kankretna delai vot tak, no shtota baraxlit blin,

    Обновление скрипта до новой версии

    1. Создайте резервную копию базы данных и всех файлов скрипта на сервере.
    2. Обновите все файлы из папки /upload/ вашего архива (за исключением /templates/)
    3. скопируйте файл .htaccess в папку /uploads/files/ из аналогичной папки /upload/uploads/files/ архива дистрибутива
    4. Запустите файл http://website.com/upgrade/index.php, и следуйте дальнейшим инструкциям.
    5. Удалите папку /upgrade/ и файл install.php с вашего сервера.
    6. В админпанели на главной странице выберите "Очистку кеша"
    7. Внесите необходимые изменения в ваши шаблоны, согласно списку изменений, опубликованному на сайте вместе со ссылкой на дистрибутив.

    Внимание: После установки или обновления скрипта на сервере, обязательно удалите файл install.php и папку /upgrade/, иначе будет возможно вновь инициировать процесс инсталляции скрипта, тем самым уничтожив существующую структуру данных.
     
  6. kandasoft

    kandasoft Читатель

    Заблокирован
    Регистр.:
    17 окт 2007
    Сообщения:
    259
    Симпатии:
    143

    Попробуйте в таблице dle_post создать колонку editdate. (это все делается в phpMyAdmin)
     
  7. @RCHANGELL

    @RCHANGELL Читатель

    Заблокирован
    Регистр.:
    25 мар 2008
    Сообщения:
    11
    Симпатии:
    0
    vot kakras etava neznaiu kak vstavidsa kalonka v mysql.

    skin mne php fail katori sdelaet evo, (vot naprimer kak install.php delat strukturu baz.), shtob ia ne muchalsa sozdavat vruchnuiu sozdaniem etava kalonki.

    Добавлено через 5 минут
    вот даваи решим ету праблему так: (канешна если мойна такое)


    иа шас инсталировал сначала етава ДЛЕ версии 7.2, сменил dbconfig.php сделал востанавление базз с админки саита, и виподает какрас етат ерор:


    MySQL Error!
    ------------------------

    The Error returned was:
    Unknown column 'editdate' in 'field list'

    Error Number:
    1054

    SELECT SQL_CALC_FOUND_ROWS id, autor, date, short_story, SUBSTRING(full_story, 1, 15) as full_story, xfields, title, category, alt_name, comm_num, allow_comm, allow_rate, rating, vote_num, news_read, flag, editdate, editor, reason, view_edit, tags FROM dle_post WHERE approve = '1' AND allow_main = '1' AND date < '2008-08-31 17:35:37' ORDER BY fixed desc, date DESC LIMIT 0,10




    вот как шас вдалнеишем нада деиствоват штоб он заработал нармално, и всио било ваЖуре
     
  8. kandasoft

    kandasoft Читатель

    Заблокирован
    Регистр.:
    17 окт 2007
    Сообщения:
    259
    Симпатии:
    143
    Создаешь файл inst.php в корне со следующим содержанием:
    PHP:
    <?PHP
    error_reporting
    (E_ALL E_NOTICE);
    @
    ini_set('display_errors'true);
    @
    ini_set('html_errors'false);
    @
    ini_set('error_reporting'E_ALL E_NOTICE);

    define('DATALIFEENGINE'true);
    define('ROOT_DIR'dirname (__FILE__));
    define('ENGINE_DIR'ROOT_DIR.'/engine');

    require_once(
    ROOT_DIR.'/engine/init.php');
    require_once(
    ROOT_DIR.'/engine/engine.php');


    $query "ALTER TABLE `dle_post` ADD `editdate` VARCHAR( 15 ) NOT NULL";
    $db->query($query);

    echo 
    "Установка успешно завершена....";
    ?>
    Открываешь его в браузере, после должно будет заработать.
     
  9. @RCHANGELL

    @RCHANGELL Читатель

    Заблокирован
    Регистр.:
    25 мар 2008
    Сообщения:
    11
    Симпатии:
    0


    paproboval, nepashet vseravno
     
  10. kandasoft

    kandasoft Читатель

    Заблокирован
    Регистр.:
    17 окт 2007
    Сообщения:
    259
    Симпатии:
    143
    Ошибку в студию!
    Я же не экстрасенс...
     
Статус темы:
Закрыта.